 IDENTIFICATION DIVISION.
 PROGRAM-ID.    guiex02.  
 AUTHOR. Rildo Pragana.         
* REMARKS.
*    Example tcl/tk GUI program for Cobol.
*
 ENVIRONMENT DIVISION.
 CONFIGURATION SECTION.
 INPUT-OUTPUT SECTION.

 DATA DIVISION.
 WORKING-STORAGE SECTION.
    copy design4.
 77 FLAG-END	PIC X.

 PROCEDURE DIVISION.
  
  SET GUI4-CMD-INSERT-VALUE TO TRUE
  SET GUI4-WIDGET-COMBO TO TRUE
  MOVE "Blue is cold" to COMBO
  CALL "TCGUI" USING GUI4-GUI
  MOVE "Red is hot" to COMBO
  CALL "TCGUI" USING GUI4-GUI
  MOVE "White is bright" to COMBO
  CALL "TCGUI" USING GUI4-GUI
  MOVE "Yellow is happy" to COMBO
  CALL "TCGUI" USING GUI4-GUI
  
  SET GUI4-WIDGET-LIST TO TRUE
  MOVE "Rildo Pragana" TO LIST
  CALL "TCGUI" USING GUI4-GUI
  MOVE "Julius W. Pragana" TO LIST
  CALL "TCGUI" USING GUI4-GUI
  MOVE "Rildo Pragana Neto" TO LIST
  CALL "TCGUI" USING GUI4-GUI
  MOVE "Daniel Pragana" TO LIST
  CALL "TCGUI" USING GUI4-GUI
  MOVE "Fernanda W. Pragana" TO LIST
  CALL "TCGUI" USING GUI4-GUI

  MOVE SPACES TO GUI4-COBOL-VARIABLES
  SET GUI4-CMD-DISPLAY TO TRUE
  MOVE "rildo-small.gif" to IMAGE
  SET RAD-A TO TRUE
  Move "An Entry" to ENTRY
  CALL "TCGUI" USING GUI4-GUI 
  
  SET GUI4-CMD-FOCUS TO TRUE
  SET GUI4-WIDGET-CHECK TO TRUE
  CALL "TCGUI" USING GUI4-GUI 

  PERFORM UNTIL DOEXIT-ON OR GUI4-EV-EXIT
	  SET GUI4-CMD-FOCUS-WAIT TO TRUE
	  CALL "TCGUI" USING GUI4-GUI
      DISPLAY "Event code: " GUI4-GUI-EVENT " --> " NO ADVANCING
	  PERFORM 100-SHOW-EVENT-NAME
	  IF GUI4-EV-PRESSED 
*	  	DISPLAY GUI4-COBOL-VARIABLES
		DISPLAY "RAD-COMMON: """ RAD-COMMON """"
		DISPLAY "ENTRY:      """ ENTRY """"
		DISPLAY "LIST:       """ LIST """"
		DISPLAY "COMBO:      """ COMBO """"
	  END-IF
  END-PERFORM.

  STOP RUN.
  
  100-SHOW-EVENT-NAME.
  EVALUATE TRUE
  WHEN GUI4-EV-PRESSED
  	DISPLAY "GUI4-EV-PRESSED"
  WHEN GUI4-EV-OPEN-FILE
    DISPLAY "GUI4-EV-OPEN-FILE"
* Muda ttulo da janela		  
		  SET GUI4-CMD-SET-WINDOW-TITLE TO TRUE
		  MOVE "Abrindo arquivo..." to GUI4-ATTRIB-VALUE
		  CALL "TCGUI" USING GUI4-GUI 
    SET GUI4-WIDGET-RAD-A TO TRUE
    SET GUI4-CMD-FOCUS TO TRUE
    CALL "TCGUI" USING GUI4-GUI 
  WHEN GUI4-EV-CLOSE-FILE
    DISPLAY "GUI4-EV-CLOSE-FILE"
* Muda ttulo da janela		  
		  SET GUI4-CMD-SET-WINDOW-TITLE TO TRUE
		  MOVE "Fechando arquivo..." to GUI4-ATTRIB-VALUE
		  CALL "TCGUI" USING GUI4-GUI 
    SET GUI4-WIDGET-RAD-B TO TRUE
    SET GUI4-CMD-FOCUS TO TRUE
    CALL "TCGUI" USING GUI4-GUI 
  WHEN GUI4-EV-EXIT
    DISPLAY "GUI4-EV-EXIT"
  WHEN GUI4-EV-CUT
    DISPLAY "GUI4-EV-CUT"
  WHEN GUI4-EV-COPY
    DISPLAY "GUI4-EV-COPY"
  WHEN GUI4-EV-PASTE
    DISPLAY "GUI4-EV-PASTE"
  WHEN GUI4-EV-BG
    DISPLAY "GUI4-EV-BG"
  WHEN GUI4-EV-FG
    DISPLAY "GUI4-EV-FG"
  WHEN GUI4-EV-ABOUT
    DISPLAY "GUI4-EV-ABOUT"
  WHEN GUI4-SYSEV-FOCUS
    DISPLAY "GUI4-SYSEV-FOCUS"
	PERFORM 120-SHOW-WIDGET
  WHEN OTHER
    DISPLAY "OTHERS EVENTS"
  END-EVALUATE.
  
  120-SHOW-WIDGET.
  EVALUATE TRUE
  WHEN GUI4-WIDGET-LABEL
     DISPLAY "GUI4-WIDGET-LABEL"
  WHEN GUI4-WIDGET-ENTRY
  	DISPLAY "GUI4-WIDGET-ENTRY"
  WHEN GUI4-WIDGET-LIST
    DISPLAY "GUI4-WIDGET-LIST"
  WHEN GUI4-WIDGET-BUTTON
    DISPLAY "GUI4-WIDGET-BUTTON"
  WHEN GUI4-WIDGET-CHECK
  	DISPLAY "GUI4-WIDGET-CHECK"
  WHEN GUI4-WIDGET-RAD-A
  	DISPLAY "GUI4-WIDGET-RAD-A"
  WHEN GUI4-WIDGET-RAD-B
  	DISPLAY "GUI4-WIDGET-RAD-B"
  WHEN GUI4-WIDGET-COMBO
  	DISPLAY "GUI4-WIDGET-COMBO"
  WHEN GUI4-WIDGET-RAD-C
  	DISPLAY "GUI4-WIDGET-RAD-C"
  END-EVALUATE.

  
